Subject: cp does not work with davfs2 (fuse) under GNU/Linux; coreutils-8.21

From: Klaus-Jürgen Wolf <[email-masked]>
Date: Sun, 16 Nov 2014 11:22:25 +0100

With my cloud space provider, I have observed that copying to a davfs2
mounted cloud space does only work if using tar, e.g.

tar -cf - sourcefile |tar -xf - -C clouddir

Doing the same (copying) with cp or mv results in the error messages:

cp: error writing ‘/home/kj/MyDrive/sourcefile’: Input/output error
cp: failed to extend ‘/home/kj/MyDrive/sourcefile’: Input/output error

I suppose cp and mv use a file creation method not appropriate for this
kind of device. Either coreutils should detect the device and use a method
better suited, or coreutils should restrain to be plain and simple and make
use of a simple method working everywhere. (IMHO)